SendLit logoSendLit Docs
API ReferenceTemplatesTemplateid

Update an email template

PATCH
/templates/{templateId}
x-sendlit-apikey<token>

In: header

Path Parameters

templateId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.sendlit.dev/templates/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "templateId": "string",
  "title": "string",
  "purpose": "marketing",
  "content": {
    "style": {
      "property1": null,
      "property2": null
    },
    "meta": {
      "property1": null,
      "property2": null
    },
    "content": [
      {
        "property1": null,
        "property2": null
      }
    ]
  },
  "requiredVariables": [
    "string"
  ],
  "validationError": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "variables": [
    "string"
  ]
}